#include<stdio.h>
#include<conio.h>

#define T 10

void burbumen(int *);
void burbumay(int *);

/******************************/

void main(void)
{

	int array[T],i,j,op;
 	clrscr();
 	
	printf("Introduzca los elemntos");
 	for(i=0;i<T;i++)
 	{
 		printf(": ");
		scanf("%d",&array[i]);
	}
	do
	{
		printf("¨C¢mo desea ordenarlo?\n\t1.- De menor a mayor\n\t2.- De mayor a menor\t");
		scanf("%d",&op);
		switch(op)
		{
			case 1: burbumen(array);
					  break;
			case 2: burbumay(array);
					  break;
			default:break;
		}
	}while(op!=1 && op!=2);
	clrscr();
	for(i=0;i<T;i++)
	{
		if(i=0)
		{
			gotoxy(20,20);printf("ÚÄÄÂ");
			gotoxy(21,20);printf("³%d³");
			gotoxy(22,20);printf("ÀÄÄÁ");
		}
		else
		{
			if
			{
			gotoxy(20,20+(i+4));printf("ÄÄÂ");
			gotoxy(21,20+(i+4));printf("%d³",array[i]);
			gotoxy(22,20+(i+4));printf("ÄÄÁ");
			}
			else

	}
 	getch();

}

/**********************/


void burbumen (int *array)
{
	int i,j,aux,cent;

	clrscr();
	for(i=0;i<T;i++)
	{
		cent=1;
		for(j=1;j<T;j++)
		{
			if(array[j-1]>array[j])
			{
				aux=array[j-1];
				array[j-1]=array[j];
				array[j]=aux;
				cent=0;
			}
		}
		if(cent==1)
		{
			i=10;
		}
	}
}

/*************************/


void burbumay (int *array)
{
	int i,j,aux,cent;

	clrscr();
	for(i=0;i<T;i++)
	{
		cent=1;
		for(j=1;j<T;j++)
		{
			if(array[j]>array[j-1])
			{
				aux=array[j];
				array[j]=array[j-1];
				array[j-1]=aux;
				cent=0;
			}
		}
		if(cent==1)
		{
			i=10;
		}
	}
}
